#ifndef FD_configure_h_
#define FD_configure_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void configure_callback(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *configure;
	void *vdata;
	long ldata;
	FL_OBJECT *name_input;
	FL_OBJECT *email_input;
	FL_OBJECT *editor_input;
	FL_OBJECT *configure_done_button;
	FL_OBJECT *server_input;
	FL_OBJECT *pop_server_input;
	FL_OBJECT *pop_password_input;
	FL_OBJECT *smtp_server_input;
	FL_OBJECT *nntp_username_input;
	FL_OBJECT *nntp_password_input;
	FL_OBJECT *authenticating_button;
	FL_OBJECT *web_input;
	FL_OBJECT *ftp_input;
} FD_configure;

extern FD_configure * create_form_configure(void);

#endif /* FD_configure_h_ */
