#ifndef FD_peruser_h_
#define FD_peruser_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void about_callback(FL_OBJECT *, long);
extern void address_callback(FL_OBJECT *, long);
extern void tell_callback(FL_OBJECT *, long);
extern void hear_callback(FL_OBJECT *, long);
extern void subject_callback(FL_OBJECT *, long);
extern void pack_callback(FL_OBJECT *, long);
extern void regex_callback(FL_OBJECT *, long);
extern void mail_callback(FL_OBJECT *, long);
extern void client_callback(FL_OBJECT *, long);
extern void group_callback(FL_OBJECT *, long);
extern void edit_newsrc_callback(FL_OBJECT *, long);
extern void configure_callback(FL_OBJECT *, long);
extern void mark_callback(FL_OBJECT *, long);
extern void select_callback(FL_OBJECT *, long);
extern void clear_requests_callback(FL_OBJECT *, long);
extern void follow_up_callback(FL_OBJECT *, long);
extern void change_group_callback(FL_OBJECT *, long);
extern void edit_callback(FL_OBJECT *, long);
extern void launch_url(FL_OBJECT *, long);
extern void delete_callback(FL_OBJECT *, long);
extern void compose_callback(FL_OBJECT *, long);
extern void next_unread_callback(FL_OBJECT *, long);
extern void grab_address_callback(FL_OBJECT *, long);
extern void folder_callback(FL_OBJECT *, long);
extern void decode_callback(FL_OBJECT *, long);
extern void export_callback(FL_OBJECT *, long);
extern void save_callback(FL_OBJECT *, long);
extern void font_callback(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *peruser;
	void *vdata;
	long ldata;
	FL_OBJECT *about_button;
	FL_OBJECT *address_button;
	FL_OBJECT *group_count_browser;
	FL_OBJECT *article_count_browser;
	FL_OBJECT *tell_button;
	FL_OBJECT *hear_button;
	FL_OBJECT *subject_browser;
	FL_OBJECT *quit_button;
	FL_OBJECT *pack_button;
	FL_OBJECT *regex_button;
	FL_OBJECT *fetch_button;
	FL_OBJECT *send_button;
	FL_OBJECT *client_button;
	FL_OBJECT *group_browser;
	FL_OBJECT *edit_newsrc_button;
	FL_OBJECT *configure_button;
	FL_OBJECT *mark_menu;
	FL_OBJECT *select_menu;
	FL_OBJECT *clear_menu;
	FL_OBJECT *both_button;
	FL_OBJECT *follow_up_button;
	FL_OBJECT *reply_button;
	FL_OBJECT *next_group_button;
	FL_OBJECT *previous_group_button;
	FL_OBJECT *previous_button;
	FL_OBJECT *next_button;
	FL_OBJECT *edit_button;
	FL_OBJECT *message_browser;
	FL_OBJECT *delete_menu;
	FL_OBJECT *compose_menu;
	FL_OBJECT *previous_unread_button;
	FL_OBJECT *next_unread_button;
	FL_OBJECT *grab_address_button;
	FL_OBJECT *folder_menu;
	FL_OBJECT *decode_group_button;
	FL_OBJECT *export_button;
	FL_OBJECT *save_button;
	FL_OBJECT *font_size_menu;
	FL_OBJECT *font_style_menu;
	FL_OBJECT *bold_button;
} FD_peruser;

extern FD_peruser * create_form_peruser(void);

#endif /* FD_peruser_h_ */
